/*
 * GTK+(2.0.x)ѤPC-UNIXѥĢΥ
 *
 * ե(~/.cmemo)ɤ߹ߤ˴ؤؿ
 */

/*
 * Cmemo : Text Editor
 * ini_file.h - header file for loading ~/.cmemo
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* ----- ѿ --------------------------  -------------------  --------- */
extern unsigned int cm_window_width;  /* ưwindow     : width          */
extern unsigned int cm_window_height; /* ưwindowι⤵   : height         */
extern char cm_key_font[256];         /* ɤΥե : key_font_family  */
extern char cm_text_font[256];        /* ܤΥե       : text_font_family */
extern unsigned int cm_key_weight;    /* ɤ     : key_font_weight  */
extern unsigned int cm_text_weight;   /* ܤΥեȤ : text_font_weight */
extern unsigned int cm_tab_width;     /*                  : tab_width      */
extern unsigned int cm_indent_mode;   /* auto indent 0:no 1:yes : indent_on_off  */
extern unsigned int cm_font_size;     /* եȥ         : font_size      */
extern char cm_basic_color[64];       /* ١顼           : basic_color    */
extern char cm_keyword1_color[64];    /* ɥ顼     : keyword1_color */
extern char cm_keyword2_color[64];    /* ɥ顼     : keyword2_color */
extern char cm_number_color[64];      /* ͥ顼             : number_color   */
extern char cm_comment_color[64];     /* ȥ顼         : comment_color  */
extern char cm_string_color[64];      /* ʸ󥫥顼           : string_color   */
extern char cm_line_bg_color[64];     /* ֹطʿ           : line_bg_color  */
extern char cm_line_fg_color[64];     /* ֹʿ           : line_fg_color  */
extern char cm_ctrl_color[64];        /* ȥ륳ɤο : ctrl_color     */
extern char cm_text_bg_color[64];     /* ƥΰطʿ     : text_bg_color  */
extern unsigned int cm_line_wrap;     /* ޤ֤             : line_wrap      */
extern unsigned int cm_line_number;   /* ֹɽ             : line_number    */
extern unsigned int cm_syn_highlight; /* ʸĴɽ           : syn_highlight  */
extern unsigned int cm_console_out;   /* ɸϤ뤫ɤ   : console_out    */
extern unsigned int cm_emacs_key;     /* EmacsХ    : emacs_key      */
/* ----------------------------------------------------------------------------- */
extern char cm_home_path[MAX_PATH];   /* ۡǥ쥯ȥؤΥѥ */

#define DOT_CMEMO   "/.cmemo"
#define DOT_CMEMODB "/.cmemodb"
#define DOT_CMEMORC "/.cmemorc"
#define INI_LINE_LEN 3072
#define FILE_LINE_BUF_SIZE 4096   /* INI_LINE_LEN礭 */

struct file_buf {
  int line_num;
  char *line_buf;
  struct file_buf *prev;
  struct file_buf *next;
};

/*ؿ*/
int init_path_data(void); /* Ƽѥ򥰥Хѿ˳Ǽ */
int read_ini(void); /* եɤ߹ */
int show_ini(GtkWidget *widget, gpointer data); /* եcmemoǳ */
int update_cmemodb(char *key, int key_len, char *data); /* cmemodbե򹹿 */
int read_cmemodb(char *key, int key_len, char *rtn_buf); /* cmemodbեɤ */
void init_combo_list(void);
void write_combo_list_data(void);
GList *combo_list_delete(GList *list);
