/*
 * GTK+(2.0.x)ѤPC-UNIXѥĢΥ
 *
 * б˴ؤؿ
 */

/*
 * Cmemo : Text Editor
 * keys.c - source file for functions of keys
 *
 * Copyright (C) 2000, 2001, 2002 Seiji Tamura
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkkeysyms.h>
#include <stdlib.h>
#include <string.h>
#include "cme_def.h"
#include "cmemo.h"
#include "files.h"
#include "coloron.h"
#include "text_struct.h"
#include "ini_file.h"
#include "search.h"
#include "cme_misc.h"
#include "jump.h"
#include "bm_search.h"
#include "keys.h"

static int key_playing_flag = KEY_PLAYING_STOP;
static int key_recording_flag;
static struct key_macro_events key_macro = {0, 0};

/* local declarations */
static GList *key_macro_delete(GList *list);
static int play_key_macro_events(void);


/* Хåؿϡ0(FALSE)֤Ȥˤäƥ٥Ȥ */
/* ã³ԤǥեȤư򤵤Ǥ롣٥ */
/* Ȥߤ᤿ϡ1(TRUE)֤                      */

/* Types of modifiers.
typedef enum
{
  GDK_SHIFT_MASK    = 1 << 0,
  GDK_LOCK_MASK	    = 1 << 1,
  GDK_CONTROL_MASK  = 1 << 2,
  GDK_MOD1_MASK	    = 1 << 3,
  GDK_MOD2_MASK	    = 1 << 4,
  GDK_MOD3_MASK	    = 1 << 5,
  GDK_MOD4_MASK	    = 1 << 6,
  GDK_MOD5_MASK	    = 1 << 7,
  GDK_BUTTON1_MASK  = 1 << 8,
  GDK_BUTTON2_MASK  = 1 << 9,
  GDK_BUTTON3_MASK  = 1 << 10,
  GDK_BUTTON4_MASK  = 1 << 11,
  GDK_BUTTON5_MASK  = 1 << 12,
  GDK_RELEASE_MASK  = 1 << 13,
  GDK_MODIFIER_MASK = 0x3fff
} GdkModifierType;*/

gint key_press_cb(GtkWidget *widget, GdkEvent *event, gpointer cur_doc)
{
//  GdkEventKey *kevent = (GdkEventKey *)event;
//  struct text_struct *doc;
//  GtkTextBuffer *buffer;
//  GdkEvent *eve;
//  static int ctl_h_im_cnt = 0;

  /* 硼ȥåȥǽλ褦Ȥȥ顼å */
  /* ФΤǡ򤹤ե饰å         */
  if (cm_end_flag == 1) {
    return(FALSE);
  }
  /* debug */
  /*g_print("key = %04x\n", kevent->keyval);*/
  /*g_print("cm_im_editting %d\n", cm_im_editting);*/
  if (cm_im_editting == 1) {
    return(FALSE);
  }
//  else if (cm_im_editting == 2) {
//    return(FALSE);
//  }

//  doc = cur_doc;

  return(FALSE);
}

gint key_release_cb(GtkWidget *widget, GdkEvent *event, gpointer cur_doc)
{
//  GdkEventKey *kevent = (GdkEventKey *)event;

  /* 硼ȥåȥǽλ褦Ȥȥ顼å */
  /* ФΤǡ򤹤ե饰å         */
  if (cm_end_flag == 1) {
    return(FALSE);
  }

  if (cm_im_editting == 1) {
    return(FALSE);
  }

  return(FALSE);
}

/********************************************************************
   ԥѥȥ꡼ޤϸѥȥ꡼EnterKey줿
 ********************************************************************/
gint rtn_key_cb(GtkEntry *entry, GdkEventKey *key_event, gpointer data)
{
  gpointer focused_widget;
  GdkEventKey *kevent = (GdkEventKey *)key_event;

  /*debug*/
  /*printf("state = %d\n", kevent->state);*/
  /*printf("keyval = %d\n", kevent->keyval);*/

  /* 硼ȥåȥǽλ褦Ȥȥ顼å */
  /* ФΤǡ򤹤ե饰å         */
  if (cm_end_flag == 1) {
    return(FALSE);
  }

  /*եΤ륦ɥΥݥ󥿤򥻥å*/
  if (GTK_WIDGET_HAS_FOCUS((GtkWidget *)cm_jump.entry) == 1) {
    focused_widget = cm_jump.entry;
  }
  else if (GTK_WIDGET_HAS_FOCUS((GtkWidget *)cm_search.entry) == 1) {
    focused_widget = cm_search.entry;
  }
  else {
    return(FALSE);
  }

  /* (kevent->state == 1)  : Shift          */
  /* (kevent->state == 4)  : Ctrl           */
  /* (kevent->state == 8)  : Alt            */
  /* (kevent->state == 5)  : Shift+Ctrl     */
  /* (kevent->state == 9)  : Shift+Alt      */
  /* (kevent->state == 12) : Ctrl+Alt       */
  /* (kevent->state == 13) : Shift+Ctrl+Alt */

  /* ⤷ Return ƤեäƤ */
  /* entry бؿƤӽФ                       */
  if (kevent->state == 0) {
    if (kevent->keyval == GDK_Return) {
      /* keyval0ˤimˤϤγ꤬ */
      /* ǤʤʤΤǥȤˤ        */
      /*kevent->keyval = 0;*/

      /* imʤнλ(٥Ȥ³) */
      if (entry->preedit_length != 0) {
        return(FALSE);
      }

      /*debug*/
      /*printf("state = %d\n", kevent->state);*/
      /*printf("keyval = %d\n", kevent->keyval);*/
      if (focused_widget == cm_jump.entry) {
        line_jump_cb(focused_widget, &cm_document);
        return(FALSE);
      }
      else if (focused_widget == cm_search.entry) {
        dn_search(focused_widget, &cm_document);
        return(TRUE);
      }
    }
  }

  /* 硼ȥåȥentryŽդԤ硢ɥ    */
  /* editableǥԡʸŽȤȥˤǥեȤ   */
  /* Žդȡcmemoץ¦ǹԤŽդξưƤޤ*/
  /* äƥǤƥץ¦ŽդԤͤˤ롣 */
  /* ԡڤƱͤưˤƤ                           */
  if (kevent->state == GDK_CONTROL_MASK) {
    /* debug */
    /*printf("%x\n", kevent->keyval);*/
    if ((kevent->keyval == GDK_X) ||
        (kevent->keyval == GDK_C) ||
        (kevent->keyval == GDK_V) ||
        (kevent->keyval == GDK_x) ||
        (kevent->keyval == GDK_c) ||
        (kevent->keyval == GDK_v)) {
      return(TRUE);
    }
  }

  /* 줿Ȥ˥եܤʤ褦ˤ */
  if ((kevent->keyval == GDK_Left) || (kevent->keyval == GDK_Right)) {
    /* Gtk+2.0Ǥϥȥ꡼åȤǢ䢪򲡤Ƥ */
    /* եϰܤʤ褦Ǥ                      */
    /*return(TRUE);*/
    return(FALSE);
  }
  else {
    /* ʳϥ³ */
    return(FALSE);
  }
}

/**********************************
   Alt_Key(̤ 2001/11/24)
 **********************************/
/* #define GDK_Alt_L 0xFFE9 */
/* #define GDK_Alt_R 0xFFEA */
gint alt_key_cb(GtkWidget *widget, GdkEvent *event, gpointer data)
{
  GdkEventKey *kevent = (GdkEventKey *)event;

  /* 硼ȥåȥǽλ褦Ȥȥ顼å */
  /* ФΤǡ򤹤ե饰å         */
  if (cm_end_flag == 1) {
    return(FALSE);
  }

  if ((kevent->state == GDK_MOD1_MASK) &&
      ((kevent->keyval == GDK_F) || (kevent->keyval == GDK_f))) {
    /*gtk_menu_item_select(GTK_MENU_ITEM(data));*/
  }
  /*else if (kevent->state == GDK_MOD1_MASK) {
    gtk_menu_item_deselect(GTK_MENU_ITEM(data));
  }*/
  /* ³ */
  return(FALSE);
}

/************************
   ܡɥޥϿ
 ************************/
gint key_macro_cb(GtkWidget *widget, GdkEvent *event, gpointer cur_doc)
{
  GdkEventKey *kevent;
  GdkEventKey *tmp;

  if (key_recording_flag == KEY_RECORDING_STOP) {
    return(FALSE);
  }
  else if (key_recording_flag == KEY_RECORDING_START) {
    key_macro.head = key_macro_delete(key_macro.head);
    key_macro.tail = NULL;
    key_recording_flag = KEY_RECORDING_CONTINUE;
  }
  else { /* key_recording_flag == KEY_RECORDING_CONTINUE */
    /* nothing to do here */
  }

  kevent = (GdkEventKey *)event;
//  /* ꡼٥ȤϽʤȤȤ(פʡ) */
//  if (kevent->type == GDK_KEY_RELEASE) {
//    return(FALSE);
//  }
  if (kevent->state == (GDK_SHIFT_MASK | GDK_CONTROL_MASK)) {
    if ((kevent->keyval == GDK_r) || (kevent->keyval == GDK_R) ||
        (kevent->keyval == GDK_p) || (kevent->keyval == GDK_P)) {
      return(FALSE);
    }
  }

  tmp = (GdkEventKey *)g_malloc(sizeof(GdkEventKey));
  if (tmp == NULL) {
    key_recording_flag = KEY_RECORDING_STOP;
    key_macro.head = key_macro_delete(key_macro.head);
    key_macro.tail = NULL;
    mlwrite(ML_E_ONLY, ML_IMMEDIATELY, "fail to recording key macros...");
    return(FALSE);
  }
  memcpy(tmp, kevent, sizeof(GdkEventKey));

  if (kevent->string != NULL) {
    tmp->string = (gchar *)g_malloc(strlen(kevent->string) + 1);
    if (tmp->string == NULL) {
      g_free(tmp);
      key_recording_flag = KEY_RECORDING_STOP;
      key_macro.head = key_macro_delete(key_macro.head);
      key_macro.tail = NULL;
      mlwrite(ML_E_ONLY, ML_IMMEDIATELY, "fail to recording key macros...");
      return(FALSE);
    }
    strcpy(tmp->string, kevent->string);
  }

  mlwrite(ML_E_ONLY, ML_DELAYED, "recording key macros...");
  if (key_macro.head == NULL) {
    key_macro.head = g_list_append(key_macro.head, tmp);
    key_macro.tail = key_macro.head;
  }
  else {
    key_macro.tail = g_list_append(key_macro.tail, tmp);
    key_macro.tail = g_list_next(key_macro.tail);
  }  
  return(FALSE);
}

/******************************************
   ܡɥޥΥǡƳ
 ******************************************/
static GList *key_macro_delete(GList *list)
{
  GList *tmp;
  GdkEventKey *kevent;

  while (list != NULL) {
    tmp = list;
    list = g_list_remove_link(list, tmp);
    kevent = (GdkEventKey *)(tmp->data);
    g_list_free_1(tmp);
    g_free(kevent->string);
    g_free(kevent);
  }
  return list;
}

/************************************
   ܡɥޥΥǡ
 ************************************/
void init_key_macro_events(void)
{
  key_recording_flag = KEY_RECORDING_STOP;
  key_macro.head = NULL;
  key_macro.tail = NULL;
  return;
}

/**************************************
   ܡɥޥΥǡθ
 **************************************/
void deinit_key_macro_events(void)
{
  key_recording_flag = KEY_RECORDING_STOP;
  key_macro.head = key_macro_delete(key_macro.head);
  key_macro.tail = NULL;
  return;
}

/************************
   ܡɥޥ¹
 ************************/
static int play_key_macro_events(void)
{
  GList *list;

  if (key_recording_flag != KEY_RECORDING_STOP) {
    mlwrite(ML_E_ONLY, ML_IMMEDIATELY,
            "you can\'t play key macro while recording");
    return(-1);
  }

  if (key_playing_flag == KEY_PLAYING_START) {
    return(-1);
  }
  key_playing_flag = KEY_PLAYING_START;

  /* ö֤٥Ȥ */
  while (gtk_events_pending()) {
    gtk_main_iteration();
  }

  list = key_macro.head;
  while (list != NULL) {
    if (list->data != NULL) {
      gtk_main_do_event((GdkEvent *)(list->data));
    }
    list = g_list_next(list);
  }

  key_playing_flag = KEY_PLAYING_STOP;

  return(0);
}

/**********************************************
   ܡɥޥϿϥܥ򤵤줿
 **********************************************/
void key_macro_record_cb(GtkWidget *widget, gpointer data)
{
  if (key_recording_flag == KEY_RECORDING_STOP) {
    mlwrite(ML_E_ONLY, ML_IMMEDIATELY, "start recording key macros!");
    key_recording_flag = KEY_RECORDING_START;
  }
  else {
    mlwrite(ML_E_ONLY, ML_IMMEDIATELY, "stop recording key macros!");
    key_recording_flag = KEY_RECORDING_STOP;
  }
  return;
}

/**********************************************
   ܡɥޥ¹Գϥܥ򤵤줿
 **********************************************/
void key_macro_play_cb(GtkWidget *widget, gpointer data)
{
  play_key_macro_events();
  return;
}
